Loading...
Searching...
No Matches
uhd::usrp::subdev_spec_pair_t Struct Reference

`#include <uhd/usrp/subdev_spec.hpp>`

Inheritance diagram for uhd::usrp::subdev_spec_pair_t:
[legend]
Collaboration diagram for uhd::usrp::subdev_spec_pair_t:
[legend]

## Public Member Functions

| subdev_spec_pair_t (const std::string &db_name="", const std::string &sd_name="")
bool | operator== (const subdev_spec_pair_t &other)
| overloaded equality operator
bool | operator!= (const subdev_spec_pair_t &other)
| overloaded inquality operator

## Public Attributes

std::string | db_name
| The daughterboard slot name.
std::string | sd_name
| The subdevice name.

## Detailed Description

A subdevice specification (daughterboard slot, subdevice) name pairing.

## Constructor & Destructor Documentation

## subdev_spec_pair_t()

uhd::usrp::subdev_spec_pair_t::subdev_spec_pair_t | ( | const std::string & | db_name = "",
|  | const std::string & | sd_name = "" )

Create a new subdevice specification pair from dboard and subdev names.

Parameters

  db_name | the name of a daughterboard slot
  sd_name | the name of a subdevice on that daughterboard

## Member Function Documentation

## operator!=()

bool uhd::usrp::subdev_spec_pair_t::operator!= | ( | const subdev_spec_pair_t & | other | ) |

overloaded inquality operator

## operator==()

bool uhd::usrp::subdev_spec_pair_t::operator== | ( | const subdev_spec_pair_t & | other | ) |

overloaded equality operator

## Member Data Documentation

## db_name

std::string uhd::usrp::subdev_spec_pair_t::db_name

The daughterboard slot name.

## sd_name

std::string uhd::usrp::subdev_spec_pair_t::sd_name

The subdevice name.

The documentation for this struct was generated from the following file:

- subdev_spec.hpp